Bug 396011 - Variety of issues with PulseAudio after upgrade - No sound, crackly sound.
Variety of issues with PulseAudio after upgrade - No sound, crackly sound.
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: pulseaudio (Show other bugs)
8
i386 Linux
low Severity high
: ---
: ---
Assigned To: Lennart Poettering
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-22 14:05 EST by Kev 'Kyrian' Green
Modified: 2008-06-13 20:07 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-13 20:07:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kev 'Kyrian' Green 2007-11-22 14:05:12 EST
Description of problem:

After upgrading a mixed-repo system from FC7 to FC8 I get a number of issues,
accross various applications, which I'm filing together partly because I am
lazy, and partyly because I feel they are related. Apologies for inconvenience
caused by that.

I have removed (and added yum 'exclude=' stuff for) any non-fedora-core stuff I
thought was relevant already.

mplayer works fine through this, but Rhythmbox (which uses gstreamer, and
therefore 'should' be fine), does not.

Version-Release number of selected component (if applicable):

(Roughly, from rpm -qa | grep [blah])

pulseaudio-module-lirc-0.9.7-0.17.svn20071017.fc8
pulseaudio-0.9.7-0.17.svn20071017.fc8
pulseaudio-libs-glib2-0.9.7-0.17.svn20071017.fc8
audacious-plugins-pulseaudio-1.3.5-3.fc8
gstreamer-plugins-pulse-0.9.5-0.4.svn20070924.fc8
pulseaudio-libs-0.9.7-0.17.svn20071017.fc8
pulseaudio-utils-0.9.7-0.17.svn20071017.fc8
pulseaudio-module-zeroconf-0.9.7-0.17.svn20071017.fc8
pulseaudio-module-gconf-0.9.7-0.17.svn20071017.fc8
pulseaudio-libs-zeroconf-0.9.7-0.17.svn20071017.fc8
pulseaudio-module-x11-0.9.7-0.17.svn20071017.fc8
pulseaudio-esound-compat-0.9.7-0.17.svn20071017.fc8
alsa-plugins-pulseaudio-1.0.14-5.fc8
kde-settings-pulseaudio-3.5-35.fc8
firefox-2.0.0.9-1.fc8
akode-pulseaudio-2.0.1-9.fc8
firefox-devel-2.0.0.9-1.fc8
pulseaudio-core-libs-0.9.7-0.17.svn20071017.fc8

Various components involved, latest updates as at the current time applied.

How reproducible:

Various.

Steps to Reproduce & Actual results:

Run firefox. No sound, without the fix.

Run Rhthymbox, and get crackly sound sometimes, and it won't go away without
restarting the app. At other times its fine though. Starting up 'pulseaudio' on
the command line when it's not present has varying results, but more often than
not just crashes rhythmbox.

Starting 'pulseaudio' at the command line to recftify the 'cannot
connect'/'connection refused' errors to the pulseaudio server causes some of the
pulseaudio apps to start, and some to crash out (segfault?).

Expected results:

Things not to have been broken so badly by this update.

Additional info:

I can't help but think the other ticket on a similar subject which asks for
pulseaudio to be a system service and not a session one is right in principle,
if not in implementation details. I don't know why anyone would want sound on a
text-console directly, so I don't really agree with that being an issue.

Removing 'libasound2' installed by the ATRPMS repo fixed the firefox no-sound
issue, so I guess that would be a common thing to look for.

I have just also noted that "gstreamer-ffmpeg-0.10.2-4.lvn8" was installed and
may be causing similar library conflicts, so I've removed it too. It does not
seem to have had any effect though. Rhythmbox still crashes at
startup/hitting-'play'.

I am willing to help with debug information where I can, and have time. My
primary goal is to get Rhythmbox stable and running again, as it's the only app
I have found that can copy content and play it within the same system, as well
as have half decent random play support.
Comment 1 Lennart Poettering 2007-11-29 20:34:33 EST
Firefox doesn't play any sounds. The Flash plugin does. To get it work with PA
make sure to install "libflashsupport".

Please provide me with the output of "pulseaudio -vv" when you experience those
"crackling sounds". You might need to stop pulseaudio first, by calling
"pulseaudio -k".

Comment 2 Kev 'Kyrian' Green 2007-12-01 10:59:48 EST
Thanks. I certainly did make sure I installed libflashsupport, and everything
else indicated by the YumUpgradeFAQ wiki entry.

However I got so hacked off with it that I backed up, and nuked my root
partition (/home was left untouched, which leaves the vague possibility of some
config being broken??), and then installed a vanilla FC8 on it, and problems
still persist.

The problem seems to be that because "pulseaudio" is not started up as it's
supposed to, the cracking happens when it's not there. What I don't understand
is that even with it started (just opening a terminal and running 'pulseaudio &'
to background it), IIRC the cracking still happens.

Either way, I have resorted (based on other internet evidence) to using XFCE4,
with pulseaudio set as an autostarted application to hopefully work around this.

I will get back to you with the outputs requested above if I find the problem
recurring in XFCE4 or if I get a chance to test it again with Gnome.

Hardware-wise, it's a Athlon64/Opteron system with "PCI bridge: Silicon
Integrated Systems [SiS] SG86C202" and the sound card is "Multimedia audio
controller: Silicon Integrated Systems [SiS] AC'97 Sound Controller (rev a0)" if
that makes any odds.

Perhaps more likely to be a concern is that because x86_64 support failed to
provide access to essential browser plugins, it's running the i386 version of
FC8. Although again, this has never been a problem with the past 3-4 or more
releases of FC.

I would vaguely consider going to the proper x86_64 version for testing as I
have found resources on how to get that working now, if it would help.
Comment 3 Lennart Poettering 2008-03-28 16:17:37 EDT
Have you enabled the "ESD" checkbox in gnome-sound-properties?
Comment 4 Lennart Poettering 2008-06-13 20:07:36 EDT
Closing because no response.

Note You need to log in before you can comment on or make changes to this bug.